Skip to main content
GET
/
2026-01
/
retail-media
/
accounts
/
{account-id}
/
campaigns
/2026-01/retail-media/accounts/{account-id}/campaigns
curl --request GET \
  --url https://api.criteo.com/2026-01/retail-media/accounts/{account-id}/campaigns \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.criteo.com/2026-01/retail-media/accounts/{account-id}/campaigns"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.criteo.com/2026-01/retail-media/accounts/{account-id}/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "<string>",
      "type": "<string>",
      "attributes": {
        "accountId": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "isAutoDailyPacing": true,
        "name": "<string>",
        "updatedAt": "2023-11-07T05:31:56Z",
        "budget": 123,
        "budgetRemaining": 123,
        "budgetSpent": 123,
        "clickAttributionWindow": "30D",
        "companyName": "<string>",
        "dailyPacing": 123,
        "drawableBalanceIds": [
          "<string>"
        ],
        "endDate": "2023-11-07T05:31:56Z",
        "monthlyPacing": 123,
        "onBehalfCompanyName": "<string>",
        "promotedBrandIds": [
          "<string>"
        ],
        "retailerId": 123,
        "startDate": "2023-11-07T05:31:56Z",
        "type": "auction",
        "viewAttributionWindow": "none"
      }
    }
  ],
  "metadata": {
    "currentPageIndex": 123,
    "currentPageSize": 123,
    "nextPage": "<string>",
    "previousPage": "<string>",
    "totalItemsAcrossAllPages": 123,
    "totalPages": 123
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

account-id
string
required

The given account id

Query Parameters

limitToId
string[]

The ids that you would like to limit your result set to

pageIndex
integer<int32>
default:0

The 0 indexed page index you would like to receive given the page size

Required range: 0 <= x <= 2147483647
pageSize
integer<int32>
default:25

The maximum number of items you would like to receive in this request

Required range: 1 <= x <= 2147483647

Response

200 - application/json

Success

A wrapper class to return a single page of with metadata

data
object[]
required
metadata
object
required

Metadata related to the current request

errors
object[]
warnings
object[]